/* stylelint-disable selector-class-pattern */
/* stylelint-disable no-descending-specificity */

$scroll-width: 0.75rem;
$scroll-width-large: 0.875rem;
$scroll-min-size: 1.25rem;
$space: 0.25rem;

:host {
  position: sticky;
  top: 0;
  left: 0;
  z-index: 1;
  min-width: calc(100% - 1px);
  min-height: calc(100% - 1px);
  float: left;
  margin-right: calc(-100% + 1px);
  margin-inline-start: 0;
  margin-inline-end: calc(-100% + 1px);
  pointer-events: none;
}

.t-bar {
  position: absolute;
  right: 0;
  bottom: 0;
  pointer-events: auto;

  &_vertical {
    top: 0;
    width: $scroll-width-large;
  }

  &_horizontal {
    left: 0;
    height: $scroll-width-large;
  }

  &_has-horizontal {
    bottom: $scroll-width - $space;
  }

  &_has-vertical {
    right: $scroll-width - $space;
  }
}

.t-thumb {
  transition-duration: 0.15s;
  transition-timing-function: ease-in-out;
  position: absolute;
  border-radius: 6.25rem;
  border: $space solid transparent;
  cursor: pointer;
  pointer-events: auto;
  background: #1b1f3b; // text-01 tailwind
  background-clip: content-box;
  box-sizing: border-box;
  transition-property: width, height;
  opacity: 0.2;

  &:hover {
    opacity: 0.24;
  }

  &:active {
    opacity: 0.48;
  }

  :host[data-mode='onDark'] & {
    background-color: #fff; // text-01-night tailwind
  }

  .t-bar_vertical & {
    right: 0;
    width: $scroll-width;
    min-height: $scroll-min-size;
  }

  .t-bar_vertical:hover &,
  .t-bar_vertical &:active {
    width: $scroll-width-large;
  }

  .t-bar_horizontal & {
    bottom: 0;
    height: $scroll-width;
    min-width: $scroll-min-size;
  }

  .t-bar_horizontal:hover &,
  .t-bar_horizontal &:active {
    height: $scroll-width-large;
  }
}
